      Real*8 FUNCTION cumnor(x)
C
C**********************************************************************
C
C     Real*8 FUNCTION CUMNOR(X)
C
C
C                              Function
C
C
C     Computes the cumulative  of    the  normal   distribution,   i.e.,
C     the integral from -infinity to x of
C          (1/sqrt(2*pi)) exp(-u*u/2) du
C
C
C                              Method
C
C
C     Calls the double precision version of this routine DUMNOR.
C
C
C                              Arguments
C
C
C     X --> Value at which cumulative normal is evaluated
C		     Real*8 X
C
C**********************************************************************
C     ..
C     .. Scalar Arguments ..
      Real*8 x
C     ..
C     .. External Functions ..
      DOUBLE PRECISION dumnor
      EXTERNAL dumnor
C     ..
C     .. Executable Statements ..
      cumnor = dumnor(dble(x))
      RETURN

      END
