       include 'c:\ConfLimit\cdfs\qstinv.f'
       include 'c:\ConfLimit\cdfs\qstzro.f'
       include 'c:\ConfLimit\cdfs\zror.f'
       include 'c:\ConfLimit\cdfs\gratio.f'
       include 'c:\ConfLimit\cdfs\cumgam.f'
       include 'c:\ConfLimit\cdfs\invr.f'
       include 'c:\ConfLimit\cdfs\cumchi.f'
       include 'c:\ConfLimit\cdfs\cdfchi.f'
       include 'c:\ConfLimit\cdfs\SPMPAR.f'
       include 'c:\ConfLimit\cdfs\RLOG.f'
       include 'c:\ConfLimit\cdfs\ERFC1.f'
       include 'c:\ConfLimit\cdfs\REXP.f'
       include 'c:\ConfLimit\cdfs\ERF.f'
       include 'c:\ConfLimit\cdfs\GAMMA.f'
       include 'c:\ConfLimit\cdfs\GAM1.f'
       include 'c:\ConfLimit\cdfs\EXPARG.f'
       include 'c:\ConfLimit\cdfs\IPMPAR.f'
       !include 'c:\ConfLimit\cdfs\cdfnor.f'
       include 'c:\ConfLimit\cdfs\cumnor.f'
       include 'c:\ConfLimit\cdfs\dumnor.f'
       include 'c:\ConfLimit\cdfs\devlpl.f'
       include 'c:\ConfLimit\cdfs\invnor.f'
       include 'c:\ConfLimit\cdfs\dlanor.f'
       include 'c:\ConfLimit\cdfs\dln1px.f'



	Subroutine TestThings
	   Real*8 ChiInverse
	   Real*8 cumchi,p,df
	Real*8 TheV,Tolerance
	Real*8 NormInverse
	Real*8 NormSCdf,z

	write(*,*) 'z '
	read(*,*) z

	write(*,*) NormSCdf(z)

	!write(*,*) 'Enter p,df,Tolerance'
	!read(*,*) p,df,Tolerance

	!TheV=ChiInverse(p,df,Tolerance)

	!write(*,*) 'ChiInverse is ',TheV
	!write(*,*) 'Chi is ',cumchi(TheV,df)
	!write(*,*)

	!write(*,*) 'NormInv is ',NormInverse(p,0.0d0,1.0d0)

       End ! Main



       Real*8 Function ChiInverse(p,df,Tolerance)   !Program Main

	!Note:	You have to use the /Od switch when compiling or else
	!	it won't work (I'm not sure why; you get no errors either
	!	way).  BFL, 9-30-95
c Following added 12-7-1998, 9:53pm
!MS$IF Defined(ForDLL)
!MS$ATTRIBUTES dllexport:: ChiInverse
!MS$ATTRIBUTES alias: 'ChiInverse'::ChiInverse
!MS$ENDIF

	Integer Which,Status
	Real*8 p,x,df,Bound
	Real*8 Tolerance


	Which=2
	Call cdfchi(which,p,x,df,status,bound,Tolerance)
	!write(*,*) 'p,x,df are ',p,x,df


	!write(*,*) 'Status, x are ',Status,x
	!write(*,*) 'Bound is ',Bound

	ChiInverse=x

	!write(*,*) 'Enter x,df'
	!read(*,*) x,df
	!write(*,*) 'Chi is ', cumchi(x,df)

       End ! Function ChiInverse


       Real*8 Function NormSCdf(z)
!MS$IF Defined(ForDLL)
!MS$ATTRIBUTES dllexport:: NormSCdf
!MS$ATTRIBUTES alias: 'NormSCdf'::NormSCdf
!MS$ENDIF

       Real*8 z,cumnor


	NormSCdf = cumnor(z)

	!Which=2
	!Call cdfnor(which,p,x,mu,sigma,status,bound)
	!write(*,*) 'p,x,df are ',p,x,df

       End ! Function NormSCdf


       Real*8 Function NormInverse(p,mu,sigma)	 !Program Main

	!Note:	You have to use the /Od switch when compiling or else
	!	it won't work (I'm not sure why; you get no errors either
	!	way).  BFL, 9-30-95
!MS$IF Defined(ForDLL)
!MS$ATTRIBUTES dllexport:: NormInverse
!MS$ATTRIBUTES alias: 'NormInverse'::NormInverse
!MS$ENDIF

	Real*8 p,mu,sigma
	Real*8 InvNor

	NormInverse = mu + invnor(p)*sigma

	!Which=2
	!Call cdfnor(which,p,x,mu,sigma,status,bound)
	!write(*,*) 'p,x,df are ',p,x,df


	!write(*,*) 'Status, x are ',Status,x
	!write(*,*) 'Bound is ',Bound

	!NormInverse=x

	!write(*,*) 'Enter x,df'
	!read(*,*) x,df
	!write(*,*) 'Chi is ', cumchi(x,df)

       End ! Function NormInverse
